function skill3063()


npc.AddStat(1,0,9000,5,3)

if flag.GetBattleValue(12953)==1 then

m=4
flag.SetBattleValue(12951,m)

player.AddStat(1,0,110,5,1)

HH1=0
HH2=0
HH3=0
HH4=0
for pis=1,9,1 do
if battle.CheckPlayerPlace(pis)==1 then --判断有人 
	pisd=battle.GetPlacePlayerID(pis) --位置人id
	if HH1==0 then
	HH1=player.GetHP(pisd,0)
	elseif HH2==0 then
	HH2=player.GetHP(pisd,0)
	elseif HH3==0 then
	HH3=player.GetHP(pisd,0)
	elseif HH4==0 then
	HH4=player.GetHP(pisd,0)
	end
end
end
	
effect.FadeOutWhite(1,2)
wt(0.5)
effect.FadeInWhite(1,2)
wt(0.5)

local zid=battle.GetRndPlayer()
if zid==1 then
	uid=522
elseif zid==2 then
	uid=183
elseif zid==8 then
	uid=166	
elseif zid==16 then	
    uid=110
end
if shs~=2 then
ui.Dialog(170766,uid,0,0,zid,0)--……似乎有什么不对劲的地方。
shs=2
end

else

m=2
flag.SetBattleValue(12951,m)
player.AddStat(1,0,110,5,3)

end

end